
$color-gray: #eee;
$color-gray-l: scale-color($color-gray, $lightness: 33%);
$color-gray-sl: scale-color($color-gray, $lightness: 50%);
$color-gray-d: scale-color($color-gray, $lightness: -33%);
$color-gray-sd: scale-color($color-gray, $lightness: -50%);

$color-black: #333;

$link-color: #33e;



html {
  font-size: 100%;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
  -webkit-print-color-adjust:exact;
  font-size: 13px;
  font-family: sans-serif;
  line-height: 1.25;
  
  @media not print {
    padding: 1em;
  }
}

a {
  &, &:visited {
    color: $link-color;
    text-decoration: none;
  }
  
  &:hover { text-decoration: underline; }
}

.print-controls {
  @media print { display: none; }
  
  position: fixed;
  right: 15px;
  top: 15px;
  background: $color-black;
  font-size: 13px;
  padding: 0.67em;
  border-radius: 2px;
  
  a {
    color: white;
  }
  
  a + a {
    margin-left: 1em;
  }
}

.report-header {
  text-align: center;
  margin-bottom: 2em;
  
  .report-title {
    margin-top: 0;
  }
}

table.report-table {
  width: 100%;
  border-collapse: collapse;
  
  th, td {
    border: 1px solid $color-gray-d;
    text-align: left;
    padding: 0.25em;
    vertical-allign: middle;
    
    &.blank {
      border: 0px none;
      background-color: white !important;
    }
  }
  
  th {
    color: $color-gray-sd;
    background-color: $color-gray-l;
  }
  
  td {
    &.total {
      background-color: $color-gray;
    }
  }
}
